digiKam Developer Documentation: Digikam::ItemExtendedProperties Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
Digikam::ItemExtendedProperties Class Reference

## Public Member Functions
| ItemExtendedProperties ()=default
| Create a null ItemExtendedProperties object.
| ItemExtendedProperties (qlonglong imageid)
QString | intellectualGenre ()
| Return the Intellectual Genre.
QString | jobId ()
| Returns the Job ID.
IptcCoreLocationInfo | location ()
| Return the IPTC Core Location.
void | removeIntellectualGenre ()
void | removeJobId ()
void | removeLocation ()
void | removeScene ()
void | removeSimilarityTo (const qlonglong imageId)
void | removeSubjectCode ()
QStringList | scene ()
| Returns the Scene.
void | setIntellectualGenre (const QString &intellectualGenre)
void | setJobId (const QString &jobId)
void | setLocation (const IptcCoreLocationInfo &location)
void | setScene (const QStringList &scene)
void | setSimilarityTo (const qlonglong imageId, const double value)
void | setSubjectCode (const QStringList &subjectCode)
double | similarityTo (const qlonglong imageId)
| Returns the similarity.
QStringList | subjectCode ()
| Returns the Subject Code.

## Protected Member Functions
QStringList | readFakeListProperty (const QString &property)
QString | readProperty (const QString &property)
void | removeProperty (const QString &property)
void | setFakeListProperty (const QString &property, const QStringList &value)
void | setProperty (const QString &property, const QString &value)

## Protected Attributes
qlonglong | m_id = 0

## Member Function Documentation

## ◆ intellectualGenre()

QString Digikam::ItemExtendedProperties::intellectualGenre | ( |  | ) |

This is Photoshop Object Attribute Reference. “ Describes the nature, intellectual or journalistic characteristic of a news object, not specifically its content. Note / Examples: Journalistic genres: actuality, interview, background, feature, summary, wrapup News category related genres: daybook, obituary, press release, transcript It is advised to use terms from a controlled vocabulary.”

## ◆ jobId()

QString Digikam::ItemExtendedProperties::jobId | ( |  | ) |

This is Photoshop Transmission Reference. This is IPTC Original Transmission Reference “ Number or identifier for the purpose of improved workflow handling. This ID should be added by the creator or provider for transmission and routing purposes only and should have no significance for archiving.”

## ◆ location()

IptcCoreLocationInfo Digikam::ItemExtendedProperties::location | ( |  | ) |

This includes Country, Country Code, City, Location and ProvinceState. This includes IPTC Country Name, Country Code, City, SubLocation and ProvinceState.

## ◆ scene()

QStringList Digikam::ItemExtendedProperties::scene | ( |  | ) |

“ Describes the scene of a photo content. Specifies one more terms from the IPTC ‘Scene-NewsCodes’. Each Scene is represented as a string of 6 digits in an unordered list.”

## ◆ similarityTo()

double Digikam::ItemExtendedProperties::similarityTo | ( | const qlonglong | imageId | ) |

of the image to the given image.

## ◆ subjectCode()

QStringList Digikam::ItemExtendedProperties::subjectCode | ( |  | ) |

This is IPTC Subject Reference. “ Specifies one or more Subjects from the IPTC ‘Subject-NewsCodes’ taxonomy to categorize the content. Each Subject is represented as a string of 8 digits in an unordered list. Note: Only Subjects from a controlled vocabulary should be used in this metadata element, free text has to be put into the Keyword element. More about IPTC Subject-NewsCodes at www.newscodes.org.”